/*
 * *****************************************************************************************
 * @file	    user_define.h
 * @author		EMB
 * @version		V1.0.0
 * @brief		User defined parameters.
 ******************************************************************************************
 */

 #ifndef USER_DEFINE_H_
 #define USER_DEFINE_H_


#if defined(__cplusplus)
extern "C" {
#endif


/*********************************************************************************************
 *
 * User defined these parameters
 *
 *********************************************************************************************/


/* Definitions ---------------------------------------------------------------------------------------------------------- */

/*************************** USB to IIC demo *****************************/
//USB to I2C
#define USB2IIC_TEST             0     // USB to I2C TEST

//Select USB to I2C master and slave mode
#define I2C_CONFIG_SETTING_MODE  0     //Select USB to I2C configuration settings
#define I2C_MASTER_WRITE_MODE    0     //Select USB to I2C master write mode
#define I2C_MASTER_READ_MODE     0     //Select USB to I2C master read mode
#define I2C_SLAVE_WRITE_MODE     0     //Select USB to I2C slave write mode
#define I2C_SLAVE_READ_MODE      1     //Select USB to I2C slave read mode

//Select USB to I2C speed mode
#define I2C_MODE_100KHZ          0     //Select 100KHz I2C mode
#define I2C_MODE_400KHZ          1     //Select 400KHz I2C mode
#define I2C_MODE_1000KHZ         0     //Select 1000KHz I2C mode
#define I2C_MODE_2400KHZ         0     //Select 2400KHz I2C mode
#define I2C_MODE_2600KHZ         0     //Select 2600KHz I2C mode


/*************************** USB to SPI demo *****************************/
//USB to SPI  channels
#define USB2SPI_TEST             0     // USB to SPI  TEST

//Selct USB to SPI write and read mode
#define SPI_WRITE_MODE           0     //Select USB to SPI write mode
#define SPI_READ_MODE            0    //Select USB to SPI read mode
#define SPI_WRITE_AND_READ_MODE  0    //Select USB to SPI read write mode

/*************************** USB to UART demo *****************************/
//USB to UART
//libusb
#define USB2UART_TEST              0    // USB to UART TEST

//vcp
#define USB2UART_VCP_TEST          0    // USB to UART VCP TEST


/*************************** USB to JTAG demo *****************************/
//USB to JTAG
#define USB2JTAG_TEST               0    // USB to JTAG TEST

#define USB2JTAG_SELECT_TCK         0    // Select USB to JTAG TCK

#define JTAG_READ_IDCODE            0   // Select USB to JTAG READ IDCODE

#define JTAG_ERASE_SRAM             0    // Select USB to JTAG ERASE SRAM
#define JTAG_CONFIG_SRAM            0    // Select USB to JTAG CONFIG SRAM

#define JTAG_ERASE_T_FLASH          0    // Select USB to JTAG ERASE T FLASH
#define JTAG_PROGRAM_T_FLASH        0    // Select USB to JTAG PROGRAM T FLASH
#define JTAG_READ_T_FLASH           0    // Select USB to JTAG READ T FLASH

#define JTAG_ERASE_SPI_FLASH        0    // Select USB to JTAG ERASE SPI FLASH
#define JTAG_READ_SPI_FLASH_ID      0    // Select USB to JTAG READ  SPI FLASH ID
#define JTAG_READ_SPI_FLASH         0    // Select USB to JTAG READ  SPI FLASH
#define JTAG_PROGRAM_SPI_FLASH      0   // Select USB to JTAG PROGRAM  SPI FLASH



#if defined(__cplusplus)
}
#endif


#endif // USER_DEFINE_H_
